#include <bits/stdc++.h>
using namespace std;
int N, K, X, NK, C;
long long n[200005], Sol;
long long DP[3005][3005], GraniceDP[3005][2];
long long PS[200005];
int main(){
    scanf("%d%d%d", &N, &K, &X);
    for(int i = 1; i <= N; i++){
        scanf("%lld", &n[i]);
    }


    for(int i = 1; i <= N - K + 1; i++){
        C = 1;
        Sol = 0;
        for(int j = i; j <= i + K - 1; j++){
            Sol += n[j] * C;
            if(C < X) C++;
        }
        cout << Sol << " ";
    }
    cout << endl;


return 0;
}